%define name    scribes
%define version 0.3.2.9
%define release	%mkrel 1
%define section More Applications
%define summary Scribes is a workflow streamlined text editor for Gnome
%define python_module_name SCRIBES

Name:		%{name}
Summary:	The streamlined workflow text editor for Gnome
Version:	%{version}
Release:	%{release}
License:	GPL
Group:          Editors
URL:            http://scribes.sourceforge.net/
Source:        %{name}-%{version}.tar.bz2
Patch0: scribes-rts.patch
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Packager:       Merlin Whitewolf (aka Myrddin F)
Buildarch:	i586

BuildRequires:  libpython2.4-devel
BuildRequires:  gettext-devel
BuildRequires:  sed
BuildRequires:  intltool
BuildRequires:  libGConf2_4-devel
BuildRequires:  gnome-doc-utils
BuildRequires:	dbus-python
BuildRequires:	gnome-python-gtkspell
BuildRequires:	pygtk2.0-devel
BuildRequires:	gnome-python
BuildRequires:	gnome-python-extras
BuildRequires:	gnome-python-gtksourceview
BuildRequires:	gnome-python-desktop

Requires:       dbus-python
Requires:       python
Requires:       gettext
Requires:       libGConf2_4
Requires:       gnome-doc-utils
Requires:       pygtk2.0
Requires:       gnome-python-gtkspell
Requires:       gnome-python-gtksourceview
Requires:       gnome-python-desktop
Requires:       gnome-python-gconf
Requires:       pygtk2.0-libglade
Requires:       yelp

%description
Scribes is the text editor for GNOME that focuses on streamlining
your workflow. It does so by ensuring common and repetitive operations
are intelligently automated and also by eliminating factors that
prevent you from focusing on your tasks.

%prep
%setup -q
%patch0 -p1 -b .scribesrts

%build #DISPLAY=:0.0
%configure --prefix=/usr
%make

%install
%{__make} install DESTDIR=%{buildroot}
desktop-file-install --vendor=''    \
        --dir %{buildroot}%{_datadir}/applications      \
        --remove-category=Application   \
        --delete-original \
	--add-category="X-MandrivaLinux-MoreApplications-Editors" \
        %{buildroot}/%{_datadir}/applications/%{name}.desktop

## Fix some plugin script permissions...
chmod +x %{buildroot}/%{python_sitelib}/%{python_module_name}/syntax.py
chmod +x %{buildroot}/%{python_sitelib}/%{python_module_name}/error.py
chmod +x %{buildroot}/%{python_sitelib}/%{python_module_name}/license.py

#remove conflict with evolution
rm -rf %{buildroot}/var/lib/scrollkeeper




%find_lang %{name}

%clean
rm -rf %{buildroot}

%pre
if [ "$1" -gt 1 ]; then
        export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
        gconftool-2 --makefile-uninstall-rule \
                %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null ||:
fi


%post
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule \
        %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:


%preun
if [ "$1" -eq 0 ]; then
        export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
        gconftool-2 --makefile-uninstall-rule \
                %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null ||:
fi

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor ||:
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor ||:
scrollkeeper-update -q ||:

%files -f %{name}.lang
%defattr(-,root,root) 
%doc AUTHORS ChangeLog CONTRIBUTORS COPYING NEWS README TRANSLATORS TODO
%{python_sitelib}/%{python_module_name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/gnome/help/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/omf/%{name}/
%{_sysconfdir}/gconf/schemas/%{name}.schemas

%changelog
* Sun Dec 16 2007 Merlin Whitewolf <merlinww@gmail.com> 0.3.2.9-1pclos
- packaged for PCLinuxOS
- added rts patch
- (texstar) remove conflict with evolution
